gtkmm 2.4: Gdk::DisplayManager Class Reference

Main Page Widgets Namespaces Book

# Gdk::DisplayManager Class Reference

Inheritance diagram for Gdk::DisplayManager:
[legend]
List of all members.

## Detailed Description

The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes.

## Public Member Functions
Glib::RefPtr<const Display> | get_default_display () const
| Gets the default Gdk::Display.
Glib::RefPtr<Display> | get_default_display ()
| Gets the default Gdk::Display.
const GdkDisplayManager* | gobj () const
| Provides access to the underlying C GObject.
GdkDisplayManager* | gobj ()
| Provides access to the underlying C GObject.
GdkDisplayManager* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::SListHandle< Glib::RefPtr< Display > > | list_displays ()
| List all currently open displays.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Display >> | property_default_display () const
| The default display for GDK.
Glib::PropertyProxy< Glib::RefPtr< Display > > | property_default_display ()
| The default display for GDK.
void | set_default_display (const Glib::RefPtr<Display>& display)
| Sets display as the default display.
Glib::SignalProxy1< void, const Glib::RefPtr<Display >&> | signal_display_opened ()
| The display_opened signal is emitted when a display is opened.
virtual | ~DisplayManager ()
## Static Public Member Functions
static Glib::RefPtr<DisplayManager> | get ()
## Protected Member Functions
virtual void | on_display_opened (const Glib::RefPtr<Display>& display)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gdk::DisplayManager> | wrap (GdkDisplayManager* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gdk::DisplayManager::~DisplayManager | ( |  | ) | `[virtual]`

## Member Function Documentation

static Glib::RefPtr<DisplayManager> Gdk::DisplayManager::get | ( |  | ) | `[static]`

| Returns: The singleton Gdk::DisplayManager object. the global Gdk::DisplayManager singleton; gdk_parse_pargs(), gdk_init(), or gdk_init_check() must have been called first. Since: 2.2.

Glib::RefPtr<const Display> Gdk::DisplayManager::get_default_display | ( |  | ) | const

| Gets the default Gdk::Display. Returns: A Gdk::Display, or `0` if there is no default display. Since: 2.2.

Glib::RefPtr<Display> Gdk::DisplayManager::get_default_display | ( |  | ) |

| Gets the default Gdk::Display. Returns: A Gdk::Display, or `0` if there is no default display. Since: 2.2.

const GdkDisplayManager* Gdk::DisplayManager::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkDisplayManager* Gdk::DisplayManager::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkDisplayManager* Gdk::DisplayManager::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::SListHandle<Glib::RefPtr<Display>> Gdk::DisplayManager::list_displays | ( |  | ) |

| List all currently open displays. Returns: A list of Gdk::Display objects. Since: 2.2.

virtual void Gdk::DisplayManager::on_display_opened | ( | const Glib::RefPtr<Display>& | display | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Display>> Gdk::DisplayManager::property_default_display | ( |  | ) | const

| The default display for GDK. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<Display>> Gdk::DisplayManager::property_default_display | ( |  | ) |

| The default display for GDK. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gdk::DisplayManager::set_default_display | ( | const Glib::RefPtr<Display>& | display | ) |

  | Sets display as the default display. Since: 2.2 Parameters:
  | display | A Gdk::Display.

Glib::SignalProxy1<void,const Glib::RefPtr<Display>&> Gdk::DisplayManager::signal_display_opened | ( |  | ) |

  | The display_opened signal is emitted when a display is opened. Since: 2.2 Parameters:
  | display | the opened display

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::DisplayManager> wrap | ( | GdkDisplayManager* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- displaymanager.h